{
  "branches": [
    "main",
    "next",
    { "name": "beta", "prerelease": true },
    { "name": "alpha", "prerelease": true }
  ],
  "plugins": [
    "@semantic-release/commit-analyzer",
    "@semantic-release/release-notes-generator",
    "@semantic-release/changelog",
    [
      "@semantic-release/exec",
      {
        "prepareCmd": "npm run generate-version '${nextRelease.version}' && quasar build -m pwa",
        "publishCmd": "tar -czvf release-${nextRelease.version}.tar.gz dist/pwa && echo '::set-output name=VERSION::${nextRelease.version}'"
      }
    ],
    [
      "@saithodev/semantic-release-gitea",
      {
        "assets": ["release-${nextRelease.version}.tar.gz"]
      }
    ]
  ]
}
